Bug 68290 - EDITING: cursor moves with Enter key
Summary: EDITING: cursor moves with Enter key
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium enhancement
Assignee: tagezi
URL:
Whiteboard: target:6.1.0 target:6.2.0 target:6.1....
Keywords:
Depends on:
Blocks: 115492
  Show dependency treegraph
 
Reported: 2013-08-19 19:59 UTC by GerardF
Modified: 2018-07-06 16:55 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Sheet to reproduce the test. (28.83 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-08-19 19:59 UTC, GerardF
Details

Note You need to log in before you can comment on or make changes to this bug.
Description GerardF 2013-08-19 19:59:19 UTC
Created attachment 84291 [details]
Sheet to reproduce the test.

With default settings, when one press the Enter key cursor moves to the next cell in the same column.
After reaching the last cell in the column, cursor stay in the cell and stop moving.

It could be an nice improvement if after the last cell in the column cursor moves to the 1st cell in the next column.

In particular when having cells protected. For a better comprehension, open the attached spreadsheet (some cells are protected with conditionnal formatting, others with "bormal" format):
Clic on the cell L3 and press the enter key several times until you reach the cell L15
Press Enter once again → cursor don't move.
It would be usefull if the cursor jumped to the 1st available cell in column M. (M3 here)
Comment 1 GerardF 2013-08-19 20:05:24 UTC
Why the hell he is set to NEW? Cannot change to UNCONFIRMED...

Sorry for typos in the text above.
Comment 2 m.a.riosv 2013-08-19 21:23:32 UTC
Hi GerardF,
maybe better a request for enhancement.
Comment 3 GerardF 2013-08-20 06:20:42 UTC
(In reply to comment #2)
> Hi GerardF,
> maybe better a request for enhancement.

Yes, of course.
I was convinced that I made the change to ENHANCEMENT. I was tired yesterday evening...
Comment 4 Commit Notification 2018-01-30 22:12:34 UTC
tagezi committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b0a391d62c1df7525069a02913a52af940d92ecc

Circular movement of cursor in a table with  hidden columns/rows, tdf#68290 related

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2018-03-02 09:03:51 UTC
A polite ping to tagezi: is this bug fixed? if so, could you
please close it as RESOLVED FIXED ? Thanks
Comment 6 tagezi 2018-03-02 10:10:46 UTC
(In reply to Xisco Faulí from comment #5)
> A polite ping to tagezi: is this bug fixed? if so, could you
> please close it as RESOLVED FIXED ? Thanks

It was only related issue. The commit for fixing bug is in work now. I wait review and it is the final steps.
https://gerrit.libreoffice.org/#/c/49085/
Comment 7 Commit Notification 2018-03-21 00:09:23 UTC
tagezi committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3b3e203461441da733096be323641a8dc07ff24f

tdf#68290 cursor moves with Enter in protected sheet

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Buovjaga 2018-03-21 19:40:44 UTC
Fix verified. Thanks :)

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: fc3f43b6fe3df5e46ca869d5934d4c3333444881
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on March 21th 2018
Comment 9 Commit Notification 2018-04-07 09:53:26 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b2cab8af3887076ced3fe9fdd7b09e1fdb62e030

uitest for bug tdf#68290

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2018-07-04 12:12:33 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5d774434743fbc40a5d19daadc9d5b73d2552c41

Resolves: tdf#117458 let Enter move left/right again, tdf#68290 follow-up

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2018-07-04 14:49:29 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=94af1b1100e8b48f755ec66b190d2017aae1dc00

Check for HasAttrFlags::Protected instead ATTR_PROTECTION, tdf#68290 follow-up

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2018-07-04 16:08:21 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e9107d6873df273463d8ed6a221cb8978043c19e&h=libreoffice-6-1

Resolves: tdf#117458 let Enter move left/right again, tdf#68290 follow-up

It will be available in 6.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2018-07-04 18:44:57 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=867dec9f720b7f704aef4fd3d560b8015fc776a7&h=libreoffice-6-1

Check for HasAttrFlags::Protected instead ATTR_PROTECTION, tdf#68290 follow-up

It will be available in 6.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2018-07-04 22:21:54 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7903fa04d2d2233fe193eef7dfd3c203430edcc6

Limit GetNextPos() loops to range, if available, tdf#68290 follow-up

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2018-07-04 23:52:53 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7d0426a26f59ecf19a5e58b1554af884ddc56948&h=libreoffice-6-1

Limit GetNextPos() loops to range, if available, tdf#68290 follow-up

It will be available in 6.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2018-07-05 23:05:46 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cef1e0986a66dd95b3fd4cf61c4cda1a1c4c8234

Limit GetNextPos() loops to range also for nMoveX, tdf#68290 follow-up

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2018-07-06 09:23:52 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c6b601603967b0ddc32755ee29049580696f1a3d

GetNextPos: init end cols/rows with current pos, tdf#68290 follow-up

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2018-07-06 12:24:59 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e281e2036710ea4f719672ec4ef285161358d27e&h=libreoffice-6-1

Limit GetNextPos() loops to range also for nMoveX, tdf#68290 follow-up

It will be available in 6.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2018-07-06 16:48:43 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6fb449d127d1da165f610c4c99c2c7d9c5afbb97

Handle protection lock mark in Undo/Redo, tdf#68290 follow-up

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 20 Eike Rathke 2018-07-06 16:55:48 UTC
Ignore that ^^^ commit, wrong bug number.